### org.jfree.layouting.util

# Class ChainingComponent.RecordedCall

- `java.lang.Object`
- - `org.jfree.layouting.util.ChainingComponent.RecordedCall`

Enclosing Class:
  ChainingComponent

`public static class ChainingComponent.RecordedCall`
`extends java.lang.Object`

  ## Constructor Summary

  `RecordedCall(int method, Object parameters)`

  ## Method Summary

  `int`

  `getMethod()`

  `Object`

  `getParameters()`

  `int`

  `getState()`

  `void`

  `setState(int state)`

## Constructor Details

### RecordedCall

    public RecordedCall(int method,
                        Object parameters)

## Method Details

### getMethod

    public int getMethod()

### getParameters

    public Object getParameters()

### getState

    public int getState()

### setState

    public void setState(int state)